Subject: Re: linux-next: manual merge of the tip tree with the asm-generic tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 16 Oct 2023 09:15:24 +1100

Hi all,

On Thu, 12 Oct 2023 13:44:42 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the tip tree got a conflict in:
> 
>   arch/ia64/include/asm/cpu.h
>   arch/ia64/kernel/topology.c
> 
> between commit:
> 
>   cf8e8658100d ("arch: Remove Itanium (IA-64) architecture")
> 
> from the asm-generic tree and commit:
> 
>   c4dd854f740c ("cpu-hotplug: Provide prototypes for arch CPU registration")
> 
> from the tip tree.
> 
> I fixed it up (I deleted the files) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between Linus' tree and the asm-generic tree.

-- 
Cheers,
Stephen Rothwell